REPORTS
Generate Landscape Report
Start asynchronous landscape report generation
POST
/
v1
/
reports
/
landscape
Generate landscape report
curl --request POST \
--url https://api.intrace.ai/v1/reports/landscape \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"date_from": "2023-12-25",
"date_to": "2023-12-25",
"asset_scope": [
"<string>"
]
}
'import requests
url = "https://api.intrace.ai/v1/reports/landscape"
payload = {
"date_from": "2023-12-25",
"date_to": "2023-12-25",
"asset_scope": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({date_from: '2023-12-25', date_to: '2023-12-25', asset_scope: ['<string>']})
};
fetch('https://api.intrace.ai/v1/reports/landscape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"title": "<string>"
}Request Body
{
"date_from": "2026-04-01",
"date_to": "2026-04-18",
"asset_scope": [
"lagos-hq",
"abuja-residence-1"
]
}
Response
{
"reportId": "c13a3f31-4bca-4c9d-80e4-ddb3f5119397",
"status": "generating",
"title": "Threat Landscape"
}
⌘I
Generate landscape report
